echo off
cls
if "%2" == "" goto Nodrive
if %1 == a: goto Driveerst
if %1 == A: goto Driveerst
if %1 == b: goto Driveerst
if %1 == B: goto Driveerst
if %1 == c: goto Driveerst
if %1 == C: goto Driveerst
if %1 == d: goto Driveerst
if %1 == D: goto Driveerst
goto Nodrive
:Driveerst
if %2 == c: goto Testcard
if %2 == C: goto Testcard
if %2 == d: goto Testcard
if %2 == D: goto Testcard
if %2 == e: goto Testcard
if %2 == E: goto Testcard
if %2 == f: goto Testcard
if %2 == F: goto Testcard
if %2 == g: goto Testcard
if %2 == G: goto Testcard
if %2 == h: goto Testcard
if %2 == H: goto Testcard
if %2 == i: goto Testcard
if %2 == I: goto Testcard
if %2 == j: goto Testcard
if %2 == J: goto Testcard
if %2 == k: goto Testcard
if %2 == K: goto Testcard
:Nodrive
echo Format: install [source drive]: [target drive]:
echo Bitte geben Sie an, von welchem Diskettenlaufwerk Sie das Spiel installieren
echo und auf welches Laufwerk das Spiel installiert werden soll.                                        
echo INSTALL A: C:          [Enter]
echo         ³  ³
echo         ³  ³
echo         ³  ĄÄÄÄÄÄÄÄÄÄÄ Ziellaufwerk
echo         ĄÄÄÄÄÄÄÄÄÄÄÄÄÄ Quellaufwerk                                                           
goto end

:Testcard
cls
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo +                                                                             +
echo +                                 INSTALLATION                                +
echo +                                                                             +
echo +                    'ARAG' wird auf Laufwerk %2 installiert.                 +
echo +          Dieses Programm erzeugt ein Verzeichnis namens %2\ARAG             +
echo +                         Zum Abbruch Ctrl-C drcken.                         +
echo +                                                                             +
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
pause
if exist %2\arag\*.* goto VExists
mkdir %2\arag
goto VCopynow
:VExists
echo Das Verzeichnis ARAG auf Laufwerk %2 existiert bereits.
echo Drcken Sie Ctrl-C, wenn Sie jetzt abbrechen mchten.
pause
:VCopynow
echo Hard Disk Installation...
copy %1\install.bat %2\arag > NUL
copy %1\d.exe %2\arag > NUL
%2\
cd %2\
cd %2\arag
d

if exist %2\arag\dinotown.exe goto End

:Error
echo                    Whrend der Installation ist ein Fehler aufgetreten.
echo                      Bitte berprfen Sie, ob Ihre Hard Disk voll ist.

:End